LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XGraphicTransformer Interface Reference

This interface is allowing to transform a XGraphic. More...

`import"XGraphicTransformer.idl";`

Inheritance diagram for XGraphicTransformer:

## Public Member Functions
com::sun::star::graphic::XGraphic | colorChange ([in] com::sun::star::graphic::XGraphic In, [in] long ColorFrom, [in] byte tolerance, [in] long ColorTo, [in] byte AlphaTo) raises ( ::com::sun::star::lang::IllegalArgumentException )
| transforms a Graphic More...
com::sun::star::graphic::XGraphic | applyDuotone ([in] com::sun::star::graphic::XGraphic In, [in] long ColorOne, [in] long ColorTwo) raises ( ::com::sun::star::lang::IllegalArgumentException )
| applies Duotone effect More...
com::sun::star::graphic::XGraphic | applyBrightnessContrast ([in] com::sun::star::graphic::XGraphic In, [in] long brightness, [in] long contrast, [in] boolean mso) raises ( ::com::sun::star::lang::IllegalArgumentException )
| changes brightness/contrast More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface is allowing to transform a XGraphic.

To transform a XGraphic, just the corresponding method has to be used, a new XGraphic instance will be returned

## Member Function Documentation

## ◆ applyBrightnessContrast()

com::sun::star::graphic::XGraphic applyBrightnessContrast | ( | [in] com::sun::star::graphic::XGraphic | In,
|  | [in] long | brightness,
|  | [in] long | contrast,
|  | [in] boolean | mso
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

changes brightness/contrast

Parameters

  In | The input Graphic.
  brightness | The brightness that shall be applied.
  contrast | The contrast that shall be applied.
  mso | whether to use MSOffice brightness/contrast formula

Returns
  The modified graphic

## ◆ applyDuotone()

com::sun::star::graphic::XGraphic applyDuotone | ( | [in] com::sun::star::graphic::XGraphic | In,
|  | [in] long | ColorOne,
|  | [in] long | ColorTwo
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

applies Duotone effect

Returns
  The modified graphic

## ◆ colorChange()

com::sun::star::graphic::XGraphic colorChange | ( | [in] com::sun::star::graphic::XGraphic | In,
|  | [in] long | ColorFrom,
|  | [in] byte | tolerance,
|  | [in] long | ColorTo,
|  | [in] byte | AlphaTo
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

transforms a Graphic

Returns
  The transformed graphic

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicTransformer.idl